Search results

Loading Google Results...
  1. DataTracer

    Upgrading from Mavericks to High Sierra

    Hey Hackintoshers! I've had a lovely little hackintosh running since 2010, currently running Mavericks 10.9.5 with no real complaints, BUT some of the newer software I want to run is now requiring OSX 10.10+, soooo I'm finally looking at a few upgrade options, and I'd love some advice from the...
Top